%global commit d7a88b6697951727a2fa34b7d3d3543b0e5a2ecc
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           irc-otr
Version:        1.0.0
Release:        6%{?dist}
Summary:        Off-The-Record Messaging plugin for irssi
Group:          Applications/Internet
License:        GPLv2+
URL:            https://github.com/cryptodotis/irssi-otr
Source0:        https://github.com/cryptodotis/irssi-otr/archive/%{commit}/irssi-otr-%{commit}.tar.gz
# Already upstream, but not present in v1.0.0
Patch0:         irssi-otr-configure-module-dir.patch

Provides:       irssi-otr = %{version}-%{release}
Obsoletes:      irssi-otr < 1.0.0-1

BuildRequires:  glib2-devel >= 2.13
BuildRequires:  irssi-devel
BuildRequires:  libotr-devel >= 4.0.0
BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
Requires:       irssi


%description
This provides modules which implement Off-The-Record (OTR) Messaging
for the irssi IRC client.


%prep
%setup -q -n irssi-otr-%{commit}
%patch0 -p1


%build
./bootstrap
%configure --with-irssi-module-dir=%{_libdir}/irssi/modules
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{_libdir}/irssi/modules/libotr.so


%files
%defattr(-,root,root,-)
%doc README.md LICENSE ChangeLog
%{_libdir}/irssi/modules/libotr.so
%{_datadir}/irssi/help/otr


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 1 2014 Conrad Meyer <cemeyer@uw.edu> - 1.0.0-3
- Add Provides: for irssi-otr

* Tue Apr 1 2014 Conrad Meyer <cemeyer@uw.edu> - 1.0.0-2
- Martin is right again: correctly use the Github hash-based tarball

* Tue Apr 1 2014 Conrad Meyer <cemeyer@uw.edu> - 1.0.0-1
- Rebase on new irssi-otr upstream, thanks Martin Milata (rh# 1074217)

* Sat Dec 14 2013 Conrad Meyer <cemeyer@uw.edu> - 0.3-9.git9ea5cc4
- Bump to git HEAD for libotr 4.0.0 update (# 992580)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Bump to 0.3.
- Build for xchat also.

* Thu Jul 17 2008 Conrad Meyer <konrad@tylerc.org> - 0.2-1
- Initial package.
